#
# spec file for package xmoontool
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xmoontool
Version:        22.9.94
Release:        978.2
Summary:        The Moon in focus
License:        SUSE-Public-Domain
Group:          Productivity/Scientific/Astronomy
Url:            http://www.fourmilab.ch/earthview/vplanet.html
Source:         xmoontool-22sep94.tar.gz
Source1:        xmoontool.desktop
Patch0:         xmoontool-22sep94.patch
Patch1:         xmoontool-22sep94-y2kfix.patch
Patch2:         xmoontool-22.9.24-filepermissions.patch
Patch3:         xmoontool-22sep94-xorg7.patch
BuildRequires:  openmotif-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xt)
Provides:       moontool
Obsoletes:      moontool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
One of the most important programs existing :-) Using this program, you
can display all important information about the moon constantly. At
last...

Hint: The option -c makes it also work with color ;-)

%prep
%autosetup -p0 -n xmoontool-22sep94

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -I%{_prefix}/include" XLIBDIR=%{_libdir}

%install
make "DESTDIR=%{buildroot}" install
%suse_update_desktop_file -i %{name} Edutainment Astronomy

%files
%defattr(-,root,root)
%{_bindir}/xmoontool
%{_datadir}/applications/*.desktop
%doc %{_mandir}/man1/xmoontool.1.gz

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Mon Mar  2 2015 sfalken@opensuse.org
- Added Categories and GenericName to .desktop to clear
  brp-check-suse errors
* Sat Nov  1 2014 crrodriguez@opensuse.org
- Run spec cleaner
- Switch to individual pkgconfig() build requires
  instead of using metapackage xorg-x11-devel
- moontool-22sep94-xorg7.patch extend to avoid overlinking
  multiple unneeded libraries and fix implicit declarations.
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Fri Aug 11 2006 lmichnovic@suse.cz
- adjusting paths to omit X11R6 when X.org is 7.x (*xorg7.patch)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 schwab@suse.de
- Don't strip binaries.
* Fri May  7 2004 hmacht@suse.de
- added # norootforbuild in specfile
- added patch2 to correct filepermissions
* Fri Aug 15 2003 adrian@suse.de
- add desktop file
* Fri Jan 11 2002 cihlar@suse.cz
- use %%{_lib}
* Sat Nov  3 2001 sndirsch@suse.de
- fixed the "Fatal Error!  No visuals that we can use" problem. It
  is no longer necessary to execute "xmoontool -c" on non-8bit
  visuals
* Thu Nov  9 2000 cihlar@suse.cz
- renamed moontool -> xmoontool
- uses openmotif now
- fixed copyright
* Fri Jul 28 2000 bjacke@suse.de
- fixed y2k bug
* Wed May 17 2000 cihlar@suse.cz
- Group sorted
* Wed Mar 22 2000 cihlar@suse.cz
- added BuildRoot
* Fri Mar  3 2000 fehr@suse.de
- move man pages to /usr/share/man
* Thu Dec  9 1999 kukuk@suse.de
- Use RPM_OPT_FLAGS
* Thu Sep 23 1999 uli@suse.de
- fixed Makefile for PPC
* Mon Sep 20 1999 uli@suse.de
- no builds with lesstif
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb  2 1999 ro@suse.de
- no m486 on alpha
* Thu May  7 1998 fehr@suse.de
- add library -lXp for Motif 2.1
* Tue Dec  9 1997 ro@suse.de
- build static and dynamic version
* Wed Oct  8 1997 fehr@suse.de
- prepare for automatic build of package
